=== changelog ===
neard-explorenfc (1.2-1) unstable; urgency=low

  * Fixes for T4T writing

 -- Donatien Garnier (AppNearMe) <donatien.garnier@appnearme.com>  Wed, 29 Jun 2016 14:50:00 +0000
