=== control ===
Source: neard-explorenfc
Section: net
Priority: extra
Maintainer: Donatien Garnier <donatien.garnier@appnearme.com>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, libglib2.0-dev, glib-networking-services, autoconf, libtool, libneardal-dev
Standards-Version: 3.9.3
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/neard-explorenfc.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/neard-explorenfc.git;a=summary

Package: neard-explorenfc
Architecture: any
Pre-Depends: debconf
Depends: libglib2.0-0, libneardal0, ${shlibs:Depends}, ${misc:Depends}
Description: NFC daemon for the Raspberry Pi and NXP Explore-NFC board
 Neard-compatible NFC daemon for the Raspberry Pi and NXP Explore-NFC board
