=== rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installinit:
	cp -a debian/neard-explorenfc/usr/share/neard-explorenfc/explorenfcd debian/neard-explorenfc.init
	dh_installinit

override_dh_auto_configure:
	git submodule update --init --recursive
	cp -r ../nxprdlib nxprdlib-linux/
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_SYSCONFDIR=/etc -DCMAKE_VERBOSE_MAKEFILE=ON

override_dh_auto_clean:
	rm -f debian/neard-explorenfc.init
	rm -f config.log
	git submodule deinit .
	dh_auto_clean
